For the complete documentation index, see llms.txt. This page is also available as Markdown.

Statement

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getStatement

post

Retrieve Statement parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getStatement
POST /nexum/627/2022.01/parameter/getStatement HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Statement": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getStatement"
}

getStatementSelectFields

post

Retrieve Statement parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getStatementSelectFields
POST /nexum/627/2022.01/parameter/getStatementSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllStatementFields": true
  }
}
200

Successful operation.

{
  "Statement": {
    "Ach": "ACH",
    "Atm": "at ATM",
    "BeginningBalance": "Balance Forward",
    "CreditCard": "Credit Card",
    "PrintSocialSecurityNumber": true,
    "StatementCutoffDate": "2010-03-31",
    "TotalStatementCount": 4670
  },
  "MessageId": "getStatementSelectFields"
}

updateStatementByID

post

Update Statement parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateStatementByID
POST /nexum/627/2022.01/parameter/updateStatementByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "StatementUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateStatementByID"
}

Last updated

Was this helpful?